<?php

namespace WordpressModels\Traits;

/**
 *
 */
trait SingletonTrait
{

    private static ?self $instance = null;

    public static function instance(): self
    {
        if (self::$instance === null) {
            self::$instance = new self();
        }

        return self::$instance;
    }


}